org.apache.tinkerpop.gremlin.structure.io.gryo

## Class GryoSerializersV3d0.TraversalMetricsSerializer

- java.lang.Object
- - org.apache.tinkerpop.gremlin.structure.io.gryo.GryoSerializersV3d0.TraversalMetricsSerializer

- All Implemented Interfaces:
    SerializerShim<TraversalMetrics>
  Enclosing class:
    GryoSerializersV3d0

      public static final class GryoSerializersV3d0.TraversalMetricsSerializer
      extends Object
      implements SerializerShim<TraversalMetrics>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TraversalMetricsSerializer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `<I extends InputShim> TraversalMetrics` | `read(KryoShim<I,?> kryo, I input, Class<TraversalMetrics> clazz)`
    `<O extends OutputShim> void` | `write(KryoShim<?,O> kryo, O output, TraversalMetrics object)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.structure.io.gryo.kryoshim.SerializerShim

      `isImmutable`

- - ### Constructor Detail

    - #### TraversalMetricsSerializer

          public TraversalMetricsSerializer()

  - ### Method Detail

    - #### write

          public <O extends OutputShim> void write(KryoShim<?,O> kryo,
                                                   O output,
                                                   TraversalMetrics object)

      Specified by:
        `write` in interface `SerializerShim<TraversalMetrics>`

    - #### read

          public <I extends InputShim> TraversalMetrics read(KryoShim<I,?> kryo,
                                                             I input,
                                                             Class<TraversalMetrics> clazz)

      Specified by:
        `read` in interface `SerializerShim<TraversalMetrics>`

Copyright © 2013–2018 Apache Software Foundation. All rights reserved.